💰Prices

This endpoints allow to get real-time prices as well as price history

get

Returns a list of prices with optional filters based on GET parameters.

Path parameters
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
Query parameters
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
granularitystringOptional

Time withing to get OHLCV candle

Example: 15m
Responses
chevron-right
200

List of prices with specified filters

application/json
get
/prices/latest/{base}/{quote}
get

Returns a list of prices with optional filters based on GET parameters.

Path parameters
sinceintegerRequired

UNIX-time from which it is needed to get the historical prices

Example: 1693392198
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
Query parameters
untilintegerOptional

UNIX-time until which to get candles

Example: 1693392498
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
granularitystringOptional

Time interval of each OHLCV candle

Default: 15mExample: 15m
Responses
chevron-right
200

List of prices with specified filters

application/json
get
/prices/historical/{base}/{quote}/{since}
get

Returns Relative Strength Index (RSI) indicator values with optional filters.

Path parameters
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
sinceintegerRequired

UNIX-time from which it is needed to get the historical prices

Example: 1693392198
Query parameters
periodintegerOptional

Relative Strength Index (RSI) period

Example: 14
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
untilintegerOptional

UNIX-time until which to get candles

Example: 1693392498
Responses
chevron-right
200

List of RSI indicator values with specified filters

application/json
get
/indicators/historical/rsi/{base}/{quote}/{since}
get

Returns Moving Average (MA) indicator values with optional filters.

Path parameters
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
sinceintegerRequired

UNIX-time from which it is needed to get the historical prices

Example: 1693392198
Query parameters
periodintegerOptional

Moving Average (MA) period

Example: 50
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
untilintegerOptional

UNIX-time until which to get candles

Example: 1693392498
Responses
chevron-right
200

List of MA indicator values with specified filters

application/json
get
/indicators/historical/ma/{base}/{quote}/{since}
get

Returns Relative Strength Index (RSI) indicator values with optional filters.

Path parameters
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
Query parameters
periodintegerOptional

Relative Strength Index (RSI) period

Example: 14
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
Responses
chevron-right
200

List of RSI indicator values with specified filters

application/json
get
/indicators/latest/rsi/{base}/{quote}
get

Returns Moving Average (MA) indicator values with optional filters.

Path parameters
basestringRequired

Filter pairs by base token name or address

Example: WETH
quotestringRequired

Filter pairs by quote token name or address

Example: USDT
Query parameters
periodintegerOptional

Moving Average (MA) period

Example: 50
blockchainstringOptional

Filter pairs by blockchain

Example: Arbitrum
exchangestringOptional

Exchange name or address

Example: Uniswap v3
Responses
chevron-right
200

List of MA indicator values with specified filters

application/json
get
/indicators/latest/ma/{base}/{quote}

Last updated